#%%define alpha_version

Summary:	Dancer IRC Server
Name:		dancer-ircd
Version:	1.0.36
Release:	3.n0i.8%{?dist}
Group:		System Environment/Daemons
License:	GPL
URL:		http://source.freenode.net/~asuffield/dancer/dancer-ircd
Source0:	http://source.freenode.net/~asuffield/dancer/dancer-ircd/stable/releases/%{name}-%{version}%{?alpha_version:%{alpha_version}}.tar.gz
Source2:	%{name}-config.h
Source3:	%{name}-init
Source4:	%{name}-ircd.conf
Source5:	%{name}-motd
Source6:	%{name}-omotd
Patch0:		%{name}-paths.patch
Patch1:		%{name}-numerics.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
An IRC Server software based on Hybrid-IRCd 6,
configured and compiled as to be used in N0i.Net network.


%prep
%setup -n %{name}-%{version}%{?alpha_version:%{alpha_version}}
%patch0 -p0
%patch1 -p0


%build
cp %{SOURCE2} include/config.h
%configure \
	--enable-optimise \
	--with-serno="%{release}" \
	--disable-documentation \
	--disable-pedantic --disable-errors
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -D -m0755 %{SOURCE3}  $RPM_BUILD_ROOT%{_initrddir}/ircd
install -D -m0755 src/%{name} $RPM_BUILD_ROOT%{_sbindir}/ircd
install -D -m0755 %{SOURCE4}  $RPM_BUILD_ROOT%{_sysconfdir}/ircd/ircd.conf
install -D -m0755 %{SOURCE5}  $RPM_BUILD_ROOT%{_sysconfdir}/ircd/motd
install -D -m0755 %{SOURCE6}  $RPM_BUILD_ROOT%{_sysconfdir}/ircd/omotd
touch  $RPM_BUILD_ROOT%{_sysconfdir}/ircd/ohelp
install -d $RPM_BUILD_ROOT%{_var}/log/ircd
install -d $RPM_BUILD_ROOT%{_var}/lib/ircd
touch $RPM_BUILD_ROOT%{_var}/lib/ircd/{d,k}line.conf

find doc/ -name ".arch-ids" | xargs -r rm -rf


%clean
rm -rf $RPM_BUILD_ROOT




%files
%defattr(-,root,root)
%config(noreplace) %{_initrddir}/ircd
%{_sbindir}/ircd
%attr(750,irc,irc) %dir %{_sysconfdir}/ircd
%attr(640,irc,irc) %config(noreplace) %{_sysconfdir}/ircd/*
%attr(750,irc,irc) %dir %{_var}/log/ircd
%attr(750,irc,irc) %dir %{_var}/lib/ircd
%attr(640,irc,irc) %config(noreplace) %{_var}/lib/ircd/*
%doc AUTHORS ChangeLog COPYING NEWS README
%attr(644,root,root) %doc doc/example.conf doc/README.umodes
%doc doc/sgml/

%pre
/usr/sbin/groupadd -g 95 -r irc &>/dev/null || :
/usr/sbin/useradd  -u 95 -d %{_var}/lib/ircd -r -s /sbin/nologin irc &>/dev/null || :

%post
/sbin/chkconfig --add ircd

%preun
if [ $1 = 0 ] ; then
	/sbin/service ircd stop &>/dev/null
	/sbin/chkconfig --del ircd &>/dev/null
fi

%postun
if [ "$1" -ge "1" ] ; then
	/sbin/service ircd condrestart &>/dev/null
fi


%changelog
* Mon Aug 21 2006 Marius FERARU <altblue@n0i.net> - 1.0.36-3.n0i.8
- Dist macro

* Wed Jul 27 2005 Marius FERARU <altblue@n0i.net> 1.0.36-2.n0i.7
- rebuild

* Wed Mar 02 2005 Marius FERARU <altblue@n0i.net> 0:1.0.36-1.n0i.6
- version 1.0.36
- KLINE path fix
- tweaked some event messages (genericity)

* Wed Aug 11 2004 Marius FERARU <altblue@n0i.net> 0:1.0.35-2.n0i.5
- added +pre1 patches

* Mon Jun 14 2004 Marius FERARU <altblue@n0i.net> 0:1.0.35-1.n0i.4
- version 1.0.35
- dropped -docs package including them in the main package
- misc spec cleanups

* Sat Oct 11 2003 Marius FERARU <altblue@n0i.net> 1.0.32-1.n0i.3
- added conditional %%{name}-docs package
- fixed my previous paths patch: eliminated 'PREFIX' from 'DPATH'
- reduced MAXCONNECTION to 1024 to respect default hardlimit on RHL systems
- added 'noreplace' flag to all configuration files
- disabled HIDE_SERVERS_IPS
- disabled CHALLENGERESPONSE*

* Sat Sep 20 2003 Marius FERARU <altblue@n0i.net> 1.0.32-0.n0i.2
- version 1.0.32
- twisted configuration
- added paths patch
- added configure flags to disable turning of warnings into errors in order
to be able to build on recent gcc compilers

* Tue Nov 19 2002 Marius FERARU <altblue@n0i.net> 1.0.31-0.n0i.1
- initial RPM spec
